%global momorel 1

Summary: A Disk-At-Once (DAO) Audio CD writer and GUI editor
Name: cdrdao
Version: 1.1.9
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://cdrdao.sourceforge.net/
%NoSource 0 http://telia.dl.sourceforge.net/cdrdao/cdrdao-%{version}.tar.gz dd7df809fca7db8e212a6522688c166b
#Patch5: cdrdao-1.1.8-cast.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: pccts >= 1.0.0
BuildPreReq: autoconf >= 2.58-2m
BuildPrereq: cdrtools-devel >= 2.01-0.0.25.3m
BuildPrereq: gcc-c++ >= 3.4.1-1m
%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing control over
pre-gaps (length down to 0, nonzero audio data) and sub-channel
information like ISRC codes. All data that is written to the disc must
be specified with a text file. Audio data may be in WAVE or raw
format. Gcdmaster is a GNOME2 GUI front-end to cdrdao that makes it easy to
visualize and manipulate audio information before burning it onto
CD. Its features include: cut/copy/paste of sound samples, track marks
edition and silence insertion.

%prep
%setup -q
#%%patch5 -p1 -b .cast

%build
%configure --prefix=%{_prefix}\
            --with-pcctsbin=%{_prefix}/bin \
            --with-pcctsinc=%{_prefix}/include/pccts \
	    --with-scglib-inc=/usr/include/schily \
	    --with-scglib-lib=/usr/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README*
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/*

%changelog
* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.9-1m)
- update to 1.1.9 (rebuild against gcc-c++-3.4.1)
- add BuildPrereq: gcc-c++

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.8-3m)
- tarball changed

* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.8-2m)
- rebuild without libgnomemm.

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.8-1m)
- major feature enhancements

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.7-6m)
- rebuild against lib*mm

* Wed Aug 27 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.7-5m)
- rebuild against ORBit2-2.7.6, libbonobomm-1.3.6, libbonobouimm-1.3.6, libgnomeuimm-1.3.17

* Mon Jun 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.7-4m)
- rebuild against orbitcpp

* Thu Apr 12 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.1.7-3m)
- BuildPrereq: cdrtools-devel.

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.7-2m)
- use gtk2. (TORIAE-ZU)

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.7-1m)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.6-2m)
- remove gcc-2.96.patch
- add gcc-3 patch

* Tue Sep 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.6-1m)

* Mon May 27 2002 Toru Hoshina <t@kondara.org>
- (1.1.5-14k)                      
- rebuild by g++ 3.1.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.1.5-12k)                      
- add BuildPreReq: autoconf >= 2.52-8k

* Tue Jan  8 2002 Shingo Akagaki <dora@kondara.org>
- (1.1.5-10k)
- autoconf 1.5

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.5-8k)
- nigittenu

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (1.1.5-6k)
- Uuummmm....

* Tue Sep  4 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.5-4k)
- revuild against for gnomemm-1.2.1

* Tue May  1 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.1.5

* Wed Nov 22 2000 Kenichi Matsubara <m@kondara.org>
- BuildPreReq add gnomemm-devel.

* Thu Oct  5 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.1.4

* Tue Aug 29 2000 tom <tom@kondara.org>
- remove xcdrdao

* Sat Apr 29 2000 tom <tom@kondara.org>
- change requires gtk-- to gtkmm10

* Sat Feb 2 2000 Norihito Ohmori <nono@kondara.org>
- fix Requires: (jitterbug #345)


* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)
